Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.util
Class ClassLoaderObjectInputStream

    java.lang.Object
      java.io.InputStream
          java.io.ObjectInputStream
              de.grogra.xl.util.ClassLoaderObjectInputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.DataInput, java.io.ObjectInput, java.io.ObjectStreamConstants

    public class ClassLoaderObjectInputStream

extends java.io.ObjectInputStream

Nested Class Summary

Nested classes/interfaces inherited from class java.io.ObjectInputStream
`java.io.ObjectInputStream.GetField`

Field Summary

Fields inherited from interface java.io.ObjectStreamConstants
`baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_ENUM, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_ENUM, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

Constructor Summary
`ClassLoaderObjectInputStream(java.io.InputStream in, java.lang.ClassLoader cloader)`
`ClassLoaderObjectInputStream(java.io.InputStream in, TypeLoader tloader)`

Method Summary
`protected java.lang.Class` | `resolveClass(java.io.ObjectStreamClass desc)`
`protected java.lang.Class` | `resolveClass(java.lang.String name)`
`protected java.lang.Class` | `resolveProxyClass(java.lang.String[] interfaces)`

Methods inherited from class java.io.ObjectInputStream
`available, close, defaultReadObject, enableResolveObject, read, read, readBoolean, readByte, readChar, readClassDescriptor, readDouble, readFields, readFloat, readFully, readFully, readInt, readLine, readLong, readObject, readObjectOverride, readShort, readStreamHeader, readUnshared, readUnsignedByte, readUnsignedShort, readUTF, registerValidation, resolveObject, skipBytes`

Methods inherited from class java.io.InputStream
`mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.ObjectInput
`read, skip`

Constructor Detail

### ClassLoaderObjectInputStream

    public ClassLoaderObjectInputStream(java.io.InputStream in,
                                        java.lang.ClassLoader cloader)
                                 throws java.io.IOException

Throws:
  `java.io.IOException`

### ClassLoaderObjectInputStream

    public ClassLoaderObjectInputStream(java.io.InputStream in,
                                        TypeLoader tloader)
                                 throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### resolveClass

    protected java.lang.Class resolveClass(java.io.ObjectStreamClass desc)
                                    throws java.io.IOException,
                                           java.lang.ClassNotFoundException

  Overrides:
    `resolveClass` in class `java.io.ObjectInputStream`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### resolveClass

    protected java.lang.Class resolveClass(java.lang.String name)
                                    throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### resolveProxyClass

    protected java.lang.Class resolveProxyClass(java.lang.String[] interfaces)
                                         throws java.io.IOException,
                                                java.lang.ClassNotFoundException

  Overrides:
    `resolveProxyClass` in class `java.io.ObjectInputStream`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD